%define anolis_release 2
Name:           python-netaddr
Version:        0.8.0
Release:        %{anolis_release}%{?dist}
Summary:        A pure Python network address representation and manipulation library

License:        BSD
URL:            http://github.com/drkjam/netaddr
Source0:        https://pypi.python.org/packages/source/n/netaddr/netaddr-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-sphinx

%global desc A network address manipulation library for Python\
\
Provides support for:\
\
Layer 3 addresses\
\
 * IPv4 and IPv6 addresses, subnets, masks, prefixes\
 * iterating, slicing, sorting, summarizing and classifying IP networks\
 * dealing with various ranges formats (CIDR, arbitrary ranges and globs, nmap)\
 * set based operations (unions, intersections etc) over IP addresses and\
   subnets\
 * parsing a large variety of different formats and notations\
 * looking up IANA IP block information\
 * generating DNS reverse lookups\
 * supernetting and subnetting\
\
Layer 2 addresses\
\
 * representation and manipulation MAC addresses and EUI-64 identifiers\
 * looking up IEEE organisational information (OUI, IAB)\
 * generating derived IPv6 addresses


%global _description\
%{desc}

%description %_description

%package -n python3-netaddr
Summary: A pure Python network address representation and manipulation library
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx
BuildRequires:  python3-pytest
%{?python_provide:%python_provide python3-netaddr}

%description -n python3-netaddr
%{desc}

%package -n     python3-netaddr-doc
Summary:        doc files for python3-netaddr
Requires:       python3-netaddr = %{version}-%{release}

%description -n python3-netaddr-doc
doc files for python3-netaddr

%package -n python3-netaddr-shell
Summary: An IPython-based shell environment for the netaddr library
Requires:  python3-netaddr = %{version}-%{release}
Requires:  python3-ipython

%description -n python3-netaddr-shell
An IPython-based shell environment for the netaddr library

%prep
%setup -q -n netaddr-%{version}

# Make rpmlint happy, rip out python shebang lines from most python
# modules
find netaddr -name "*.py" | \
  xargs sed -i -e '1 {/^#!\//d}'

# Make rpmlint happy, fix permissions on documentation files
chmod 0644 README.rst AUTHORS CHANGELOG COPYRIGHT LICENSE PKG-INFO

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

#docs
pushd docs
PYTHONPATH='../' sphinx-build-%{python3_version} -b html -d build/doctrees source html
rm -f html/.buildinfo
PYTHONPATH='../' sphinx-build-%{python3_version} -b html -d build/doctrees source python3/html
rm -f python3/html/.buildinfo
popd


%install
%pyproject_install


%check
py.test-%{python3_version}

%files -n python3-netaddr
%license COPYRIGHT
%doc docs/python3/html
%{python3_sitelib}/*

%files -n python3-netaddr-doc
%doc AUTHORS CHANGELOG README.rst

%files -n python3-netaddr-shell
%{_bindir}/netaddr

%changelog
* Mon Feb 27 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.8.0-2
- optimise dependency

* Tue May 31 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.8.0-1
- init from upstream
